Bug 1881134 - [release 4.6] cluster-csi-snapshot-controller-operator: Fix bug in reflector not recovering from "Too large resource version"
Summary: [release 4.6] cluster-csi-snapshot-controller-operator: Fix bug in reflector ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Jan Safranek
QA Contact: Wei Duan
URL:
Whiteboard:
Depends On: 1880309 1880369
Blocks: 1879901
TreeView+ depends on / blocked
 
Reported: 2020-09-21 15:25 UTC by Lukasz Szaszkiewicz
Modified: 2020-10-27 16:43 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1880309
Environment:
Last Closed: 2020-10-27 16:43:35 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift cluster-csi-snapshot-controller-operator pull 51 0 None closed Bug 1876810: Bump external-snapshotter to v3.0.0 2020-12-04 12:01:42 UTC
Red Hat Product Errata RHBA-2020:4196 0 None None None 2020-10-27 16:43:51 UTC

Comment 1 Lukasz Szaszkiewicz 2020-09-21 15:26:25 UTC
it looks like the master/4.6 is still on https://github.com/openshift/cluster-csi-snapshot-controller-operator/blob/master/go.mod 1.18.3, please update at least to 1.18.6

Comment 2 Jan Safranek 2020-09-22 10:55:15 UTC
Solved by rebase to external-snapshotter v3.0.0 that brings k8s.io/client-go v0.19.0

Comment 4 Wei Duan 2020-09-25 06:10:34 UTC
According to comments "It looks like the issue only affects 1.18. According to https://github.com/kubernetes/kubernetes/issues/91073#issuecomment-652251669 the issue was first introduced in that version by changes done to the reflector. The fix is already present in 1.19."

In the cluster-csi-snapshot-controller-operator repo: 
$ git checkout -b 4.6.0-0.nightly-2020-09-24-211545 c536c8d4165e81f6c9c81de0627aeed6fc57bb5c
$ grep  'k8s.io/client-go' go.mod 
	k8s.io/client-go v0.19.0

Change status to VERIFIED.

Comment 7 errata-xmlrpc 2020-10-27 16:43:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.6 GA Images), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4196


Note You need to log in before you can comment on or make changes to this bug.